Bug 1287257 - openfortivpn would not connect to a fortinet ssl vpn
openfortivpn would not connect to a fortinet ssl vpn
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: openfortivpn (Show other bugs)
23
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-01 15:27 EST by Max Kovgan
Modified: 2016-12-20 11:28 EST (History)
2 users (show)

See Also:
Fixed In Version: openfortivpn-1.1.3-1.fc23 openfortivpn-1.1.3-1.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:28:58 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
the patch increases the COOKIE_SIZE to 260 (285 bytes, patch)
2015-12-04 12:28 EST, Max Kovgan
no flags Details | Diff

  None (edit)
Description Max Kovgan 2015-12-01 15:27:51 EST
Description of problem:
Using fedora package openfortivpn I failed to connect to a fortinet gw consistently.

Version-Release number of selected component (if applicable):
I'm using:

[root@localhost openfortivpn]# rpm -qv openfortivpn ppp openssl openssl-libs 
openfortivpn-1.1.0-1.fc23.x86_64
ppp-2.4.7-8.fc23.x86_64
openssl-1.0.2d-3.fc23.x86_64
openssl-libs-1.0.2d-3.fc23.x86_64
How reproducible:
consistently

Steps to Reproduce:
1. dnf install openfortivpn
2. run connection (as root):
openfortivpn $IP:$PORT --username $vpn_username -vv 



Actual results:
at some point the command fails with timeout:

[root@localhost openfortivpn]# openfortivpn xx.yy.zz.ww:443 --username myuser -vvv --trusted-cert=<long hash>
DEBUG:  Loaded config file "/etc/openfortivpn/config".
VPN account password: 
DEBUG:  Config host = "xx.yy.zz.ww"
DEBUG:  Config port = "443"
DEBUG:  Config username = "myuser"
DEBUG:  Config password = "********"
DEBUG:  Gateway certificate validation failed.
DEBUG:  Gateway certificate digest found in white list.
INFO:   Connected to gateway.
ERROR:  Could not authenticate to gateway (No cookie given).
INFO:   Closed connection to gateway.
DEBUG:  Gateway certificate validation failed.
DEBUG:  Gateway certificate digest found in white list.
INFO:   Logged out.

Expected results:
Connection success.

Additional info:
1) Initially I've tried using the GUI, then resorted to the command line.
2) problem reproduces using github sources
3) I have tried turning SELinux off and on again.

If you need any further info, pls ping me.
Comment 1 Max Kovgan 2015-12-04 12:28 EST
Created attachment 1102341 [details]
the patch increases the COOKIE_SIZE to 260
Comment 2 Max Kovgan 2015-12-04 12:31:26 EST
I dug a bit.
The package is not a very mature one: it implements http client, args parsing, etc., instead of using a library.
As a result it breaks every time the http part changes a bit. I guess any tunnel setup related change on fortigate side will also break this client.
So, tactically:
Proposed patch fixes my issue.


Strategically:
I'll try to convince the author (Adrien) to refactor and start using libcurl (this will resolve any cookie length changes problems)
I'll also try to convince him to use argtable library for CLI options parsing.

Regards.
Comment 3 Max Kovgan 2015-12-04 15:06:53 EST
Just got a comment from the author, seems this specific tactical stuff will be solved next release, this pull request is in master already:
https://github.com/adrienverge/openfortivpn/pull/31
Comment 4 Fedora Update System 2015-12-05 08:48:29 EST
openfortivpn-1.1.2-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-f1d128ba1d
Comment 5 Fedora Update System 2015-12-05 08:48:30 EST
openfortivpn-1.1.2-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-e275a0c95f
Comment 6 Max Kovgan 2015-12-05 15:55:30 EST
Thanks, for the build!

Somehow it happened and I have 2 clients with fortigate.
So this latest build works for one of them (it runs IOS 5.2.4)

But the other is still having the a problem, not sure if it is the same yet.
Will only know IOS version tomorrow.
Comment 7 Fedora Update System 2015-12-06 00:22:06 EST
openfortivpn-1.1.2-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update openfortivpn'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-e275a0c95f
Comment 8 Fedora Update System 2015-12-06 12:20:46 EST
openfortivpn-1.1.2-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update openfortivpn'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-f1d128ba1d
Comment 9 Max Kovgan 2015-12-11 15:42:15 EST
update:
The problem was a combination of 2 bugs:
1. this one
2. https://bugzilla.redhat.com/show_bug.cgi?id=1290902

Regards.
Comment 10 Fedora Update System 2015-12-26 09:52:09 EST
openfortivpn-1.1.3-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-80add2b6ba
Comment 11 Fedora Update System 2015-12-28 19:55:38 EST
openfortivpn-1.1.3-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-80add2b6ba
Comment 12 Fedora Update System 2015-12-30 15:54:54 EST
openfortivpn-1.1.3-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-f2078a6fed
Comment 13 Fedora Update System 2016-01-05 16:55:55 EST
openfortivpn-1.1.3-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2016-01-07 22:22:27 EST
openfortivpn-1.1.3-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 15 Frank Büttner 2016-02-16 15:13:29 EST
It will also happen on  openfortivpn-1.1.3-1.fc23.x86_64 :(
Comment 16 Fedora End Of Life 2016-11-24 08:53:01 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 17 Fedora End Of Life 2016-12-20 11:28:58 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.